<?php 
class ModelPaymentPoa extends Model {
  	public function getMethod($address, $total) {
		$this->load->language('payment/poa');
		
		if ($this->customer->isLogged()) {
			$his_id = $this->customer->getCustomerGroupId();
		} else {
			$his_id = $this->config->get('config_customer_group_id');
		}
	
		if (!$this->config->get('poa_customer_group_id')) {
			$status = false;
		} elseif (in_array($his_id, $this->config->get('poa_customer_group_id'))) {
			$status = true;
		} else {
			$status = false;
		}
		
		if ($this->cart->getSubTotal() < $this->config->get('poa_mintotal')) {
			$status = false;
		}
		if ( $this->config->get('poa_maxtotal') && ($this->config->get('poa_maxtotal') <= $this->cart->getSubTotal())) {
			$status = false;
		}
		
		
		if ( !$this->cart->hasShipping()) $status = false;
						
		$method_data = array();
		
		if ($status) {  
      		$method_data = array( 
        		'code'       => 'poa',
        		'title'      => $this->language->get('text_title'),
				'sort_order' => $this->config->get('poa_sort_order')
      		);
    	}
   
    	return $method_data;
  	}
}
?>